<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:del="http://www.deloitte.com/CFD/Addenda/Receptor">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="del:AddendaDeloitte">
			<xsl:attribute name="noPedido">
				<xsl:choose>
					<xsl:when test="Datos/Documento/OrdenesCompra/OrdenCompra/@No !=''">
						<xsl:value-of select="Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'4999999999'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
			<xsl:attribute name="moneda">
				<xsl:choose>
					<xsl:when test="$tpomon = 0">
						<xsl:text>MXP</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 1">
						<xsl:text>MXP</xsl:text>
					</xsl:when>
					<xsl:when test="$tpomon = 2">
						<xsl:text>USD</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="mailContactoDeloitte">
				<xsl:value-of select="Datos/Receptor/@Email"/>
			</xsl:attribute>
			<xsl:attribute name="oficina">
				<xsl:value-of select="Datos/Receptor/@Referencia"/>
			</xsl:attribute>
			<xsl:variable name="origenf" select="substring-before(Datos/Documento/@Dato3,'-')"/>
			<xsl:attribute name="origenFactura">
				<xsl:choose>
					<xsl:when test="$origenf = 'P'">
						<xsl:text>PEDIDO</xsl:text>
					</xsl:when>
					<xsl:when test="$origenf = 'C'">
						<xsl:text>CONTRATO</xsl:text>
					</xsl:when>
					<xsl:when test="$origenf = 'E'">
						<xsl:text>EGRESO</xsl:text>
					</xsl:when>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="numeroProveedor">
				<xsl:value-of select="Datos/Emisor/@noProveedor"/>
			</xsl:attribute>
			<xsl:attribute name="mailProveedor">
				<xsl:value-of select="Datos/Emisor/@Email"/>
			</xsl:attribute>
			<xsl:attribute name="nombreContactoProveedor">
				<xsl:value-of select="substring-after(Datos/Documento/@Dato3,'-')"/>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>